MissingStringLastComparatorSource (Solr 3.6.2 API)
Keywords: org.apache.solr.search.MissingStringLastComparatorSource class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.solr.search
Class MissingStringLastComparatorSource

    java.lang.Object
      org.apache.lucene.search.FieldComparatorSource
          org.apache.solr.search.MissingStringLastComparatorSource

All Implemented Interfaces:
  Serializable

    public class MissingStringLastComparatorSource

extends FieldComparatorSource

See Also:
  Serialized Form

Field Summary
`static String` | `bigString`

Constructor Summary
`MissingStringLastComparatorSource()`
`MissingStringLastComparatorSource(String missingValueProxy)` Creates a `FieldComparatorSource` that uses `missingValueProxy` as the value to return from ScoreDocComparator.sortValue() which is only used my multisearchers to determine how to collate results from their searchers.

Method Summary
`FieldComparator` | `newComparator(String fieldname, int numHits, int sortPos, boolean reversed)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### bigString

    public static final String bigString

See Also:
  Constant Field Values

Constructor Detail

### MissingStringLastComparatorSource

    public MissingStringLastComparatorSource()

### MissingStringLastComparatorSource

    public MissingStringLastComparatorSource(String missingValueProxy)

  Creates a `FieldComparatorSource` that uses `missingValueProxy` as the value to return from ScoreDocComparator.sortValue() which is only used my multisearchers to determine how to collate results from their searchers.

  Parameters:
    `missingValueProxy` - The value returned when sortValue() is called for a document missing the sort field. This value is *not* normally used for sorting, but used to create

Method Detail

### newComparator

    public FieldComparator newComparator(String fieldname,
                                         int numHits,
                                         int sortPos,
                                         boolean reversed)
                                  throws IOException

  Specified by:
    `newComparator` in class `FieldComparatorSource`
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD